/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999-2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Activator.java 2045 2007-11-19 10:41:15Z fornacif $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.deploy.impl.osgi;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.ow2.util.ee.deploy.api.archive.IArchiveManager;
import org.ow2.util.ee.deploy.api.deployer.IDeployerManager;
import org.ow2.util.ee.deploy.impl.archive.ArchiveManager;
import org.ow2.util.ee.deploy.impl.deployer.DeployerManager;

/**
 * Activator which registers DeployerManager and ArchiveManager services.
 * @author Francois Fornaciari
 */
public class Activator implements BundleActivator {
    public void start(BundleContext bc) {
        DeployerManager deployerManager = new DeployerManager();
        bc.registerService(IDeployerManager.class.getName(), deployerManager, null);

        ArchiveManager archiveManager = ArchiveManager.getInstance();
        bc.registerService(IArchiveManager.class.getName(), archiveManager, null);
    }

    public void stop(BundleContext bc) {
        // Do nothing
    }
}
